Batch Update Roles
curl --request PUT \
--url https://app.toku.com/api/tokuApi/v1/batchUpdateRoleInOrg \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-role-type: <x-role-type>' \
--data '
{
"updates": [
{
"employeeID": "<string>",
"givenName": "<string>",
"familyName": "<string>",
"externalEmployeeID": "<string>",
"positionID": "<string>",
"baseSalary": "<string>",
"baseSalaryCurrency": "<string>",
"tgaRoleInOrgID": "<string>"
}
],
"orgID": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://app.toku.com/api/tokuApi/v1/batchUpdateRoleInOrg"
payload = {
"updates": [
{
"employeeID": "<string>",
"givenName": "<string>",
"familyName": "<string>",
"externalEmployeeID": "<string>",
"positionID": "<string>",
"baseSalary": "<string>",
"baseSalaryCurrency": "<string>",
"tgaRoleInOrgID": "<string>"
}
],
"orgID": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-role-type': '<x-role-type>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
updates: [
{
employeeID: '<string>',
givenName: '<string>',
familyName: '<string>',
externalEmployeeID: '<string>',
positionID: '<string>',
baseSalary: '<string>',
baseSalaryCurrency: '<string>',
tgaRoleInOrgID: '<string>'
}
],
orgID: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://app.toku.com/api/tokuApi/v1/batchUpdateRoleInOrg', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updated": 123,
"failed": 123,
"results": [
{
"employeeID": "<string>",
"success": true,
"error": "<string>",
"roleInOrgID": "<string>"
}
]
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Employees
Batch Update Roles
Updates multiple user roles in a single request.
PUT
/
batchUpdateRoleInOrg
Batch Update Roles
Authorizations
Personal API token. Create via createUserApiToken endpoint.
Headers
Role context for the request. Use CLIENT_ORG_ADMIN for most integrations.
Available options:
CLIENT_ORG_ADMIN, PAYROLL_ADMIN, FINANCE_ADMIN, TOKU_ADMIN ⌘I
